"use strict"
// API: validjson({String} json, {Boolean} [silent]) : {Boolean} valid
const validjson = require("valid-json-cli")
const http = require("http")
const request = http.request({ hostname: "jsonip.com" }, response => {
    let json = ""
    response.setEncoding("utf8");
    response.on("data", (chunk) => {
        json += chunk
    })
    response.on("end", () => {
        console.log(`JSON data is ${validjson(json, true) ? "valid" : "invalid"}`)
        console.log(JSON.parse(json))
    });
})

request.end();
